Package com.google.javascript.jscomp.webservice.common

# Enum Protocol.FormattingKey

java.lang.Object
java.lang.Enum<Protocol.FormattingKey>
com.google.javascript.jscomp.webservice.common.Protocol.FormattingKey

All Implemented Interfaces:
  `Protocol.ProtocolEnum`, `Serializable`, `Comparable<Protocol.FormattingKey>`, `java.lang.constant.Constable`

Enclosing class:
  `Protocol`

public static enum Protocol.FormattingKey extends Enum<Protocol.FormattingKey> implements Protocol.ProtocolEnum
All the possible values for the FORMATTING key.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PRETTY_PRINT`
`PRINT_INPUT_DELIMITER`

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
`static Protocol.FormattingKey`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Protocol.FormattingKey[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PRETTY_PRINT

public static final Protocol.FormattingKey PRETTY_PRINT

### PRINT_INPUT_DELIMITER

public static final Protocol.FormattingKey PRINT_INPUT_DELIMITER

## Method Details

### values

public static Protocol.FormattingKey[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Protocol.FormattingKey valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public String getValue()

Specified by:
  `getValue` in interface `Protocol.ProtocolEnum`
Returns:
  A string representing the key or value specified by the protocol.